Bug 165678 - Maintainer update: sysutils/desktop-installer
Summary: Maintainer update: sysutils/desktop-installer
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-04 01:30 UTC by Jason W. Bacon
Modified: 2012-03-25 21:13 UTC (History)
0 users

See Also:


Attachments
file.diff (3.07 KB, patch)
2012-03-04 01:30 UTC, Jason W. Bacon
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason W. Bacon freebsd_committer 2012-03-04 01:30:03 UTC
Minor enhancements and bugs fixes.

Added LXDE support.

Added VirtualBox guest support. (Automatically detects when running under VirtualBox guest and installs guest additions).

Tested on 8.3-BETA1.

Factored out common sysadmin tasks to separate port auto-admin
(http://www.freebsd.org/cgi/query-pr.cgi?pr=165674).

Fix: Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2012-03-04 12:52:22 UTC
State Changed
From-To: open->feedback

RUN_DEPENDS=<-->auto-append-line:/usr/jb-ports/sysutils/auto-admin would 
u like to fix that and test the port in the right way thx.
Comment 2 Mark Linimon 2012-03-10 05:49:45 UTC
----- Forwarded message from Jason Bacon <jwbacon@tds.net> -----

Date: Mon, 05 Mar 2012 09:08:45 -0600
From: Jason Bacon <jwbacon@tds.net>
To: miwi@FreeBSD.org
Cc: freebsd-ports-bugs@FreeBSD.org
Subject: Re: ports/165678: Maintainer update: sysutils/desktop-installer
User-Agent: Mozilla/5.0 (X11; FreeBSD amd64;
	rv:9.0) Gecko/20111228 Thunderbird/9.0

Oy...  Fixed and added one more line to my commit checklist.

New diff attached.

Thanks,

    -J

-- 
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Jason W. Bacon
jwbacon@tds.net
http://personalpages.tds.net/~jwbacon
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~



diff -ruN /usr/ports/sysutils/desktop-installer/Makefile desktop-installer/Makefile
--- /usr/ports/sysutils/desktop-installer/Makefile	2011-10-22 13:06:16.000000000 -0500
+++ desktop-installer/Makefile	2012-03-05 09:06:02.000000000 -0600
@@ -6,21 +6,23 @@
 #
 
 PORTNAME=	desktop-installer
-PORTVERSION=	0.3.2
+PORTVERSION=	0.4
 CATEGORIES=	sysutils
 MASTER_SITES=	http://personalpages.tds.net/~jwbacon/Ports/distfiles/ \
-		http://jbacon.dyndns.org/~bacon/Ports/distfiles/
+		http://acadix.biz/Ports/distfiles/
 
 MAINTAINER=	jwbacon@tds.net
 COMMENT=	Quickly configure a FreeBSD desktop system
 
+RUN_DEPENDS=	auto-append-line:${PORTSDIR}/sysutils/auto-admin
+
 NO_BUILD=	yes
 
 MAN1=		${PORTNAME}.1 amd-setup.1
 
 do-install:
-	${INSTALL_SCRIPT} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
-	${INSTALL_SCRIPT} ${WRKSRC}/amd-setup ${PREFIX}/bin
+	${INSTALL_SCRIPT} ${WRKSRC}/${PORTNAME} ${PREFIX}/sbin
+	${INSTALL_SCRIPT} ${WRKSRC}/amd-setup ${PREFIX}/sbin
 	${INSTALL_MAN} ${WRKSRC}/Doc/${PORTNAME}.man \
 		${PREFIX}/man/man1/${PORTNAME}.1
 	${INSTALL_MAN} ${WRKSRC}/Doc/amd-setup.man \
diff -ruN /usr/ports/sysutils/desktop-installer/distinfo desktop-installer/distinfo
--- /usr/ports/sysutils/desktop-installer/distinfo	2011-10-22 13:06:16.000000000 -0500
+++ desktop-installer/distinfo	2012-03-05 09:06:09.000000000 -0600
@@ -1,2 +1,2 @@
-SHA256 (desktop-installer-0.3.2.tar.gz) = af0f07492afcc21a661d02b8205f0dbfe7484eb00f33d76cc789569d991fce19
-SIZE (desktop-installer-0.3.2.tar.gz) = 185634
+SHA256 (desktop-installer-0.4.tar.gz) = 0e5695e4bb96f9d143c12021e08317282ebb4a6d4c77f1a566240443e3515f1a
+SIZE (desktop-installer-0.4.tar.gz) = 265360
diff -ruN /usr/ports/sysutils/desktop-installer/pkg-plist desktop-installer/pkg-plist
--- /usr/ports/sysutils/desktop-installer/pkg-plist	2011-06-02 11:57:19.000000000 -0500
+++ desktop-installer/pkg-plist	2012-01-23 16:40:29.000000000 -0600
@@ -1,11 +1,19 @@
-bin/amd-setup
-bin/desktop-installer
+sbin/amd-setup
+sbin/desktop-installer
 %%DATADIR%%/Gnome/Xsession
 %%DATADIR%%/Gnome/xinitrc
 %%DATADIR%%/KDE3/Xsession
 %%DATADIR%%/KDE3/xinitrc
 %%DATADIR%%/KDE4/Xsession
 %%DATADIR%%/KDE4/xinitrc
+%%DATADIR%%/LXDE/GiveConsole
+%%DATADIR%%/LXDE/Xsession
+%%DATADIR%%/LXDE/Xsetup_0
+%%DATADIR%%/LXDE/Xstartup
+%%DATADIR%%/LXDE/beastie.xpm
+%%DATADIR%%/LXDE/bsd_background.jpg
+%%DATADIR%%/LXDE/xdmshutdown
+%%DATADIR%%/LXDE/xinitrc
 %%DATADIR%%/PolicyKit.conf
 %%DATADIR%%/Scripts/battery_shutdown.sh
 %%DATADIR%%/XFCE4/GiveConsole
@@ -16,6 +24,7 @@
 %%DATADIR%%/XFCE4/bsd_background.jpg
 %%DATADIR%%/XFCE4/xdmshutdown
 %%DATADIR%%/XFCE4/xinitrc
+%%DATADIR%%/fstab
 %%DATADIR%%/gcc45/Makefile
 %%DATADIR%%/gcc45/distinfo
 %%DATADIR%%/gcc45/files/gcc-4.5-r170893-freebsd-ppc.diff
@@ -28,12 +37,15 @@
 %%DATADIR%%/gcc45/pkg-descr
 %%DATADIR%%/gcc45/pkg-plist
 %%DATADIR%%/ntp.conf
+%%DATADIR%%/org.freedesktop.consolekit.pkla
 %%DATADIR%%/splash.bmp
 %%DATADIR%%/todo
+%%DATADIR%%/vbox
 @dirrm %%DATADIR%%/gcc45/files
 @dirrm %%DATADIR%%/gcc45
 @dirrm %%DATADIR%%/XFCE4
 @dirrm %%DATADIR%%/Scripts
+@dirrm %%DATADIR%%/LXDE
 @dirrm %%DATADIR%%/KDE4
 @dirrm %%DATADIR%%/KDE3
 @dirrm %%DATADIR%%/Gnome

----- End forwarded message -----
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2012-03-25 21:06:11 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 4 dfilter service freebsd_committer 2012-03-25 21:09:35 UTC
rm          2012-03-25 20:09:25 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/desktop-installer Makefile distinfo pkg-plist 
  Log:
  - update to 0.4
  
  PR:             165678
  Submitted by:   Jason Bacon <jwbacon at tds dot net> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.6       +6 -4      ports/sysutils/desktop-installer/Makefile
  1.6       +2 -2      ports/sysutils/desktop-installer/distinfo
  1.5       +14 -2     ports/sysutils/desktop-installer/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Ruslan Makhmatkhanov freebsd_committer 2012-03-25 21:13:51 UTC
State Changed
From-To: feedback->closed

Committed, thank you!